Update a currency for an account
Updates the boolean enabled status of a single currency for a given accountId.
PATCH
/
currencies
/
{currencyCode}
cURL
curl --request PATCH \
--url 'https://api.equalsmoney.com/v2/currencies/{currencyCode}?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.equalsmoney.com/v2/currencies/{currencyCode}"
payload = { "enabled": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.equalsmoney.com/v2/currencies/{currencyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "GBP",
"name": "Pound Sterling",
"status": {
"enabled": true
}
}Authorizations
Path Parameters
The currency code of the currency to work with, in ISO 4217 format.
Pattern:
^[A-Z]{3}$Query Parameters
The ID of the account to work with.
Example:
"F50091"
Body
application/json
Body
Enable or disable a currency.
Was this page helpful?
⌘I
cURL
